﻿@{
    ViewBag.Title = "Risk Register";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/bootstrap-datepicker/css/bootstrap-datepicker.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script src="~/Content/plugins/autoNumeric-1.9.18.js"></script>
<link href="~/Content/plugins/tabwizard/tabwizard2.css" rel="stylesheet" />
<script src="~/Content/plugins/tabwizard/tabwizard2.js"></script>

<script type="text/javascript">

    var oVersion;
    var oStatus;

    $(function () {
        $('#txtihrrisk_finimpactamount').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });
        $('#txtihrrisk_oprimpactloss').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });
        $('#txtresrisk_finimpactamount').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });
        $('#txtresrisk_oprimpactloss').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });
        $('#txtcba_ihrriskvalue').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });
        $('#txtcba_resrisk').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });

    });

    function loadTooltip() {
        $("#txtriskno").attr('title', 'nomor risk autogenerate');
        $("#ddlyear").attr('title', 'pilih tahun finansial');
        $("#txtdivision").attr('title', 'nama division ybs');
        $("#ddlcompanykpi").attr('title', 'KPI dari perusahaan yang link dengan depertment atau divisi ybs.');
        $("#txtdepartment").attr('title', 'nama division ybs');
        $("#ddldivisionkpi").attr('title', 'KPI dari division, yang link dengan KPI company. manual');
        $("#ddldepartmentkpi").attr('title', 'KPI dari department, yang link dengan KPI company. manual');
        $("#txtactivitybp").attr('title', 'critical aktivitas');
        $("#txtriskdesc_loss").attr('title', 'kemungkinan resiko yang ada di dalam critical process');
        $("#txtriskdesc_caused").attr('title', 'sesuatu yang dapat menyebabkan resiko terjadi');
        $("#ddlriskdesc_riskimpact").attr('title', 'dampak dari loss event, dibagi menjadi: 1 loss opportunity of sales 2. financial loss 3. reputation loss 4. operation disruption');
        $("#txtriskdesc_riskimpactdesc").attr('title', 'deskripsi dari risk impact');
        $("#ddlriskdesc_risklevel").attr('title', 'risk level menggambarkan dampak thd perusahaan. Jika inherent risk adalah high, atau impact adalah major maka maka masuk ke level corporate. ');
        $("#txtihrrisk_notes").attr('title', 'masukkan asumsi untuk perhitungan impact dan probability / likelihood');
        $("#ddlihrrisk_finimpact").attr('title', 'masukkan dampak financial dari risk ke account yang relevant (jika ada), terdiri dari: 1. revenue (penurunan revenue)');
        $("#txtihrrisk_finimpactamount").attr('title', 'masukkan jumlah maximum foreseeable loss yang mungkin terjadi tanpa control isilah dengan angka dalam jutaan rupiah');
        $("#ddlihrrisk_oprimpact").attr('title', 'dimasukkan dampak operational yang relevan terhadap risk yang dibahas.');
        $("#txtihrrisk_oprimpactloss").attr('title', 'masukkan jumlah maximum foreseeable loss yang mungkin terjadi tanpa control untuk dampak operasional. persentase');
        $("#ddlihrrisk_qualitativeimpact").attr('title', 'penilaian secara qualitative dengan indicator strategic risk. ');
        $("#ddlihrrisk_impact").attr('title', 'penilaian impact ini akan otomatis muncul tergantung dari hasil penilaian ');
        $("#ddlihrrisk_likelihood").attr('title', 'penilaian yang menggambarkan probability kemungkinan / frekuensi terjadinya risk sebelum adanya control.');
        $("#ddlihrrisk_overallinherrisk").attr('title', 'penilaian overall inherent risk atau natural risk akan otomatis muncul berdasarkan nilai dari impact dan likelihood');
        $("#ddlihrrisk_ledbid").attr('title', 'data loss event db');
        $("#txtcurraction_preventive").attr('title', 'design control yang dilakukan untuk mencegah loss event(resiko) terjadi di saat awal');
        $("#txtcurraction_detective").attr('title', 'control yang dilakukan untuk mendeteksi error atau aktivitas yang tidak biasa di dalam sebuah proses');
        $("#txtcurraction_corrective").attr('title', 'control yang dilakukan jika loss event (resiko) sudah terjadi');
        $("#txtcurraction_controldesc").attr('title', 'seluruh control yang dimiliki suatu department untuk menurunkan tingkat resiko');
        $("#ddlcurraction_operation").attr('title', 'penilaian dari sisi control, apakah control dijalankan secara konsisten = always; tidak konsisten maupun tidak dijalankan sama sekali');
        $("#ddlcurraction_appropriateness").attr('title', 'penilaian control secara otomatis jika di isi assessment terhadap residual risk. membandingkan hasil inherent risk & residual risk');
        $("#ddlcurraction_overall").attr('title', 'penilaian terhadap total control secara otomatis, merupakan kombinasi dari operation dan appropriatness control');
        $("#txtresrisk_notes").attr('title', 'masukkan asumsi sebagai dasar perhitungan untuk residual risk');
        $("#txtresrisk_finimpactamount").attr('title', 'masukkan dampak financial 1 yang mungkin terjadi setelah control isilah dengan angka dalam jutaan rupiah');
        $("#txtresrisk_oprimpactloss").attr('title', 'masukkan dampak opersional 1 yang mungkin terjadi setelah control ');
        $("#ddlresrisk_strategicimpact").attr('title', 'penilaian secara qualitative dengan indicator stratgic risk');
        $("#ddlresrisk_likelihood").attr('title', 'penilaian yang menggambarkan frekuensi terjadinya resiko setelah adanya control');
        $("#ddlresrisk_overallresidual").attr('title', 'penilaian resiko setelah adanya control yang dilakukan');
        $("#txtexprisk_treatplan").attr('title', 'penilaian yang menggambarkan frekuensi terjadinya resiko setelah adanya control');
        $("#ddlexprisk_impact").attr('title', 'penilaian yang menggambarkan frekuensi terjadinya resiko setelah adanya control');
        $("#ddlexprisk_likelihood").attr('title', 'kemungkinan resiko terjadi ketika treatment plan sudah dilakukan');
        $("#ddlexprisk_overallexpected").attr('title', 'ini merupakan nilai expected risk yang dinilai secara otomatis. expected risk adalah resiko yang ditolerate oleh management');
        $("#txtexprisk_schedule").attr('title', 'kemungkinan resiko terjadi ketika treatment plan sudah dilakukan');

    }

    function tabwizard() {
        $('.next').click(function () {
            var nextId = $(this).parents('.tab-pane').next().attr("id");
            $('[href=#' + nextId + ']').tab('show');
            return false;
        });

        $('.back').click(function () {
            var prevId = $(this).parents('.tab-pane').prev().attr("id");
            $('[href=#' + prevId + ']').tab('show');
            return false;
        });

        $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
            //update progress
            var step = $(e.target).data('step');
            var percent = (parseInt(step) / 6) * 100;

            $('.progress-bar').css({ width: percent + '%' });
            $('.progress-bar').text("Step " + step + " of 6");

            //e.relatedTarget // previous tab
        });

        $('.first').click(function () {
            $('#myWizard a:first').tab('show');
        });

    }

    function loadComFinYear() {
        return $.ajax({
            url: '@Url.Action("GetComFinYear", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlyear').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlyear').append('<option value="">No data found</option>');
            }
        });
    }

    function loadCompanyKPI() {
        return $.ajax({
            url: '@Url.Action("GetCompanyKPI", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlcompanykpi').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlcompanykpi').append('<option value="">No data found</option>');
            }
        });
    }

    function loadDivKPI() {
        return $.ajax({
            url: '@Url.Action("GetDivKPI", "RiskRegister")?divid=0',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddldivisionkpi').empty();
                $('#ddldivisionkpi').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddldivisionkpi').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
                document.getElementById("ddldivisionkpi").value = "0";
            },
            error: function (ex) {
                $('#ddldivisionkpi').append('<option value="">No data found</option>');
            }
        });
    }

    function loadDeptKPI() {
        return $.ajax({
            url: '@Url.Action("GetDeptKPI", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddldepartmentkpi').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddldepartmentkpi').append('<option value="">No data found</option>');
            }
        });
    }

 function loadRiskType() {
        return $.ajax({
            url: '@Url.Action("GetRiskType", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#txtriskdesc_riskimpactdesc').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#txtriskdesc_riskimpactdesc').append('<option value="">No data found</option>');
            }
        });
    }
    function loadRiskLevel() {
        return $.ajax({
            url: '@Url.Action("GetRiskLevel", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlriskdesc_risklevel').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlriskdesc_risklevel').append('<option value="">No data found</option>');
            }
        });
    }

    function loadFinancialImpact() {
        return $.ajax({
            url: '@Url.Action("GetFinancialImpact", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlihrrisk_finimpact').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddlihrrisk_finimpact').append('<option value="' + result.Value + '">' + result.Text + '</option>');

                });
            },
            error: function (ex) {
                $('#ddlihrrisk_finimpact').append('<option value="">No data found</option>');

            }
        });
    }

    function loadOperationalImpact() {
        return $.ajax({
            url: '@Url.Action("GetOperationImpact", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlihrrisk_oprimpact').append('<option value="0"></option>');
                $('#ddlIhrRiskOperationalImpact2').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddlihrrisk_oprimpact').append('<option value="' + result.Value + '">' + result.Text + '</option>');

                });
            },
            error: function (ex) {
                $('#ddlihrrisk_oprimpact').append('<option value="">No data found</option>');

            }
        });
    }

    function loadStrategicImpact() {
        return $.ajax({
            url: '@Url.Action("GetStrategicImpact", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlihrrisk_qualitativeimpact').append('<option value="0"></option>');
                $('#ddlresrisk_strategicimpact').append('<option value="0"></option>');
                $('#ddlihrrisk_impact').append('<option value="0"></option>');
                $('#ddlresrisk_impact').append('<option value="0"></option>');
                $('#ddlexprisk_impact').append('<option value="0"></option>');

                $.each(results, function (i, result) {
                    $('#ddlihrrisk_qualitativeimpact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlresrisk_strategicimpact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlihrrisk_impact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlresrisk_impact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlexprisk_impact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlihrrisk_qualitativeimpact').append('<option value="">No data found</option>');
                $('#ddlresrisk_strategicimpact').append('<option value="">No data found</option>');
                $('#ddlihrrisk_impact').append('<option value="">No data found</option>');
                $('#ddlresrisk_impact').append('<option value="">No data found</option>');
                $('#ddlexprisk_impact').append('<option value="">No data found</option>');
            }
        });
    }

    function loadLikelihood() {
        return $.ajax({
            url: '@Url.Action("GetLikelihood", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlihrrisk_likelihood').append('<option value="0"></option>');
                $('#ddlresrisk_likelihood').append('<option value="0"></option>');
                $('#ddlexprisk_likelihood').append('<option value="0"></option>');

                $.each(results, function (i, result) {
                    $('#ddlihrrisk_likelihood').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlresrisk_likelihood').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlexprisk_likelihood').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlihrrisk_likelihood').append('<option value="">No data found</option>');
                $('#ddlresrisk_likelihood').append('<option value="">No data found</option>');
                $('#ddlexprisk_likelihood').append('<option value="">No data found</option>');
            }
        });
    }

    function loadOperation() {
        return $.ajax({
            url: '@Url.Action("GetOperation", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlcurraction_operation').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddlcurraction_operation').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlcurraction_operation').append('<option value="">No data found</option>');
            }
        });
    }

    function loadAppropriateness() {
        return $.ajax({
            url: '@Url.Action("GetAppropriateness", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlcurraction_appropriateness').append('<option value="0">N/A</option>');
                $.each(results, function (i, result) {
                    $('#ddlcurraction_appropriateness').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlcurraction_appropriateness').append('<option value="">No data found</option>');
            }
        });
    }

    function loadOverallCurrAction() {
        return $.ajax({
            url: '@Url.Action("GetOverallCurrAction", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlcurraction_overall').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddlcurraction_overall').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlcurraction_overall').append('<option value="">No data found</option>');
            }
        });
    }

    function loadLossEventDB() {
        return $.ajax({
            url: '@Url.Action("GetLossEventDB", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlihrrisk_ledbid').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddlihrrisk_ledbid').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlihrrisk_ledbid').append('<option value="">No data found</option>');
            }
        });
    }

    function loadOverall() {
        return $.ajax({
            url: '@Url.Action("GetOverall", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlihrrisk_overallinherrisk').append('<option value="0"></option>');
                $('#ddlresrisk_overallresidual').append('<option value="0"></option>');
                $('#ddlexprisk_overallexpected').append('<option value="0"></option>');

                $.each(results, function (i, result) {
                    $('#ddlihrrisk_overallinherrisk').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlresrisk_overallresidual').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlexprisk_overallexpected').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlihrrisk_overallinherrisk').append('<option value="">No data found</option>');
                $('#ddlresrisk_overallresidual').append('<option value="">No data found</option>');
                $('#ddlexprisk_overallexpected').append('<option value="">No data found</option>');
            }
        });
    }
    

    function loadDetail() {
        var GetDetail = '@Url.Action("GetRiskRegisterDetail", "RiskRegister", new { rowid = @ViewBag.RowId })';
        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    document.getElementById("ddlyear").value = GetDetail.comfinid;
                    document.getElementById("txtriskno").value = GetDetail.riskno;
                    document.getElementById("ddlcompanykpi").value = GetDetail.companykpi;
                    document.getElementById("ddldivisionkpi").value = GetDetail.divisionkpi;
                    //document.getElementById("ddldepartmentkpi").value = GetDetail.departmentkpi;
                    document.getElementById("txtdepartment").value = GetDetail.department;
                    document.getElementById("txtdivision").value = GetDetail.division;
                    document.getElementById("txtactivitybp").value = GetDetail.activitybp;
                    setDeptKPI(GetDetail.deptid, GetDetail.departmentkpi);
                    document.getElementById("txtriskdesc_loss").value = GetDetail.riskdesc_loss;
                    document.getElementById("txtriskdesc_caused").value = GetDetail.riskdesc_caused;
                    
                    document.getElementById("txtriskdesc_riskimpactdesc").value = GetDetail.riskdesc_riskimpactdesc;
                    document.getElementById("ddlriskdesc_risklevel").value = GetDetail.riskdesc_risklevel;

                    document.getElementById("txtihrrisk_notes").value = GetDetail.ihrrisk_notes;
                    document.getElementById("ddlihrrisk_finimpact").value = GetDetail.ihrrisk_finimpact;
                    document.getElementById("txtihrrisk_finimpactamount").value = GetDetail.ihrrisk_finimpactamount;
                    document.getElementById("ddlihrrisk_oprimpact").value = GetDetail.ihrrisk_oprimpact;
                    document.getElementById("txtihrrisk_oprimpactloss").value = GetDetail.ihrrisk_oprimpactloss;
                    document.getElementById("ddlihrrisk_qualitativeimpact").value = GetDetail.ihrrisk_qualitativeimpact;
                    document.getElementById("ddlihrrisk_impact").value = GetDetail.ihrrisk_impact;
                    document.getElementById("ddlihrrisk_likelihood").value = GetDetail.ihrrisk_likelihood;
                    document.getElementById("ddlihrrisk_overallinherrisk").value = GetDetail.ihrrisk_overallinherrisk;
                    document.getElementById("ddlihrrisk_ledbid").value = GetDetail.ihrrisk_ledbid;


                    getLossEvent();
                    document.getElementById("txtcurraction_preventive").value = GetDetail.curraction_preventive;
                    document.getElementById("txtcurraction_detective").value = GetDetail.curraction_detective;
                    document.getElementById("txtcurraction_corrective").value = GetDetail.curraction_corrective;
                    document.getElementById("txtcurraction_controldesc").value = GetDetail.curraction_controldesc;
                    document.getElementById("ddlcurraction_operation").value = GetDetail.curraction_operation;
                    document.getElementById("ddlcurraction_appropriateness").value = GetDetail.curraction_appropriateness;
                    document.getElementById("ddlcurraction_overall").value = GetDetail.curraction_overall;


                    document.getElementById("txtresrisk_notes").value = GetDetail.resrisk_notes;
                    document.getElementById("txtresrisk_finimpactamount").value = GetDetail.resrisk_finimpactamount;
                    document.getElementById("txtresrisk_oprimpactloss").value = GetDetail.resrisk_oprimpactloss;
                    document.getElementById("ddlresrisk_strategicimpact").value = GetDetail.resrisk_strategicimpact;
                    document.getElementById("ddlresrisk_impact").value = GetDetail.resrisk_impact;
                    document.getElementById("ddlresrisk_likelihood").value = GetDetail.resrisk_likelihood;
                    document.getElementById("ddlresrisk_overallresidual").value = GetDetail.resrisk_overallresidual;

                    document.getElementById("txtexprisk_treatplan").value = GetDetail.exprisk_treatplan;
                    if (GetDetail.exprisk_accept == "1") document.getElementById("cbexprisk_accept").checked = true;
                    document.getElementById("ddlexprisk_impact").value = GetDetail.exprisk_impact;
                    document.getElementById("ddlexprisk_likelihood").value = GetDetail.exprisk_likelihood;
                    document.getElementById("ddlexprisk_overallexpected").value = GetDetail.exprisk_overallexpected;
                    document.getElementById("txtexprisk_schedule").value = GetDetail.exprisk_schedule;
                    document.getElementById("hdDeptId").value = GetDetail.deptid;


                    if (GetDetail.ispicdiv == "1") {
                        var y = document.getElementById("btnReject");
                        y.style.display = "inline-block";
                    }
                }
            },
            error: function () {

            }
        });
    }

    function setDeptKPI(deptid, kpiid) {
        return $.ajax({
            url: '@Url.Action("GetDeptKPI", "RiskRegister")?deptid=' + deptid,
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddldepartmentkpi').empty();
                $('#ddldepartmentkpi').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddldepartmentkpi').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
                document.getElementById("ddldepartmentkpi").value = kpiid;

            },
            error: function (ex) {
                $('#ddldepartmentkpi').append('<option value="">No data found</option>');
            }
        });
    }


    function getLossEvent() {
        var GetDetail = '@Url.Action("GetLossEvent", "RiskRegister")?id=' + $('#ddlihrrisk_ledbid').val();
        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    document.getElementById("txtihrrisk_ledb").value = GetDetail.desc;

                }
            },
            error: function () {

            }
        });
    }

    function saveData(message) {

        if (message == "Approve") {
            bootbox.confirm({
                title: "<i class='fa fa-warning fa-2x'></i> Approval Confirmation",
                message: 'Are you sure you want to ' + message + ' this data.',
                className: "medium",
                buttons: {
                    'cancel': {
                        label: '<i class="fa fa-times"></i> Cancel',
                        className: 'btn-default pull-left'
                    },
                    'confirm': {
                        label: '<i class="fa fa-check"></i> Yes, Continue ' + message + '',
                        className: 'btn-primary pull-right'
                    }
                },
                callback: function (result) {
                    if (result) {
                        SaveProcess(message, '');
                    }

                }
            });
        } else {
            bootbox.prompt({
                size: 'small',
                className:'small',
                title: 'Are you sure you want to ' + message + ' this data. <br/> Please provide reason.',
                inputType: 'textarea',
                buttons: {
                    'cancel': {
                        label: '<i class="fa fa-times"></i> Cancel',
                        className: 'btn-default pull-left'
                    },
                    'confirm': {
                        label: '<i class="fa fa-check"></i> Yes, Continue ' + message + '',
                        className: 'btn-primary pull-right'
                    }
                },
                callback: function (result) {
                    
                    if (result!=null)
                    SaveProcess(message, result);
                    /* result = String containing user input if OK clicked or null if Cancel clicked */
                }
            });
        }


    }

    function SaveProcess(message, remarks) {
        $.ajax('@Url.Action("ApprovalRiskRegister", "RiskRegister")?rowid=' + '@ViewBag.RowId' + '&status=' + oStatus + '&remarks=' + remarks
                       , {
                           contentType: 'application/json; charset=utf-8',
                           dataType: 'json',
                           type: 'POST',
                           success: function (url) {

                               if (url.success) {
                                   bootbox.dialog({
                                       message: 'Data successfully ' + message,
                                       title: 'Approval Risk Register',
                                       buttons: {
                                           main: {
                                               label: "<i class='fa fa-check'></i> Ok",
                                               className: "btn-primary",
                                               callback: function () {
                                                   window.location.href = '@Url.Action("RiskRegister", "RiskRegister")';
                                               }
                                           }
                                       }
                                   });
                               }
                           },
                           error: function () {

                           }
                       });
    }

    $(document).ready(function () {
        loadTooltip();
        tabwizard();
        
        loadComFinYear().then(loadCompanyKPI).then(loadDivKPI).then(loadDeptKPI).then(loadRiskType).then(loadRiskLevel).then(loadFinancialImpact).then(loadLossEventDB).then(loadOperationalImpact).then(loadStrategicImpact).then(loadLikelihood).then(loadOperation).then(loadAppropriateness).then(loadOverallCurrAction).then(loadOverall).then(loadDetail);




    });




</script>



<style>
    .label-def-margin {
        margin-top: 6px;
    }

    .required:after {
        content: "*";
        color: red;
    }

    hr {
        border-width: 1px;
        border-color: black;
    }
</style>

<input type="hidden" id="hdDeptId" />
<div class="col-sm-12">
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Approval Risk Register
        </div>
        <div class="panel-body">
           
            <div class="navbar-inner">
                <ul class="nav nav-pills nav-wizard">
                    <li class="active">
                        <a class="hidden-xs" href="#step1" data-toggle="tab" data-step="1">1. Division/ Department</a>
                        <a class="visible-xs" href="#step1" data-toggle="tab" data-step="1">1.</a>
                        <div class="nav-arrow"></div>
                    </li>
                    <li >
                        <div class="nav-wedge"></div>
                        <a class="hidden-xs" href="#step2" data-toggle="tab" data-step="2">2. Risk Description</a>
                        <a class="visible-xs" href="#step2" data-toggle="tab" data-step="2">2.</a>
                        <div class="nav-arrow"></div>
                    </li>
                    <li >
                        <div class="nav-wedge"></div>
                        <a class="hidden-xs" href="#step3" data-toggle="tab" data-step="3">3. Inherent Risk</a>
                        <a class="visible-xs" href="#step3" data-toggle="tab" data-step="3">3.</a>
                        <div class="nav-arrow"></div>
                    </li>
                    <li >
                        <div class="nav-wedge"></div>
                        <a class="hidden-xs" href="#step4" data-toggle="tab" data-step="4">4. Current Action / Controls</a>
                        <a class="visible-xs" href="#step4" data-toggle="tab" data-step="4">4.</a>
                        <div class="nav-arrow"></div>
                    </li>
                    <li >
                        <div class="nav-wedge"></div>
                        <a class="hidden-xs" href="#step5" data-toggle="tab" data-step="5">5. Residual Risk</a>
                        <a class="visible-xs" href="#step5" data-toggle="tab" data-step="5">5.</a>
                        <div class="nav-arrow"></div>
                    </li>
                    <li >
                        <div class="nav-wedge"></div>
                        <a class="hidden-xs" href="#step6" data-toggle="tab" data-step="6">6. Expected Risk</a>
                        <a class="visible-xs" href="#step6" data-toggle="tab" data-step="6">6.</a>
                    </li>
                </ul>
            </div>
            <div class="tab-content">
                <!--1. Division/ Department-->
                <div class="tab-pane fade in active" id="step1">

                    <div class="well">
                        <!--Risk No-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtriskno">Risk No</label></div>
                            <div class="col-sm-4"><input type="text" disabled="disabled" class="form-control" id="txtriskno"></div>

                        </div>
                        <!--Year-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlyear">Year Company Financial Data</label></div>
                            <div class="col-sm-4">
                                <select class="form-control" disabled="disabled" id="ddlyear"></select>
                            </div>
                        </div>
                        <!--Division-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtdivision">Division</label></div>
                            <div class="col-sm-4"><input type="text" disabled="disabled" class="form-control" id="txtdivision"></div>
                        </div>

                        <!--Company Objective / KPI -->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlcompanykpi">Company Objective / KPI</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlcompanykpi"></select></div>
                        </div>
                        <!--Division Objective / KPI -->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="ddldivisionkpi">Division Objective / KPI</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddldivisionkpi"></select></div>
                        </div>
                        <!--Department-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtdepartment">Department</label></div>
                            <div class="col-sm-4"><input type="text" disabled="disabled" class="form-control" id="txtdepartment"></div>
                        </div>
                        <!--Department Objective / KPI -->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddldepartmentkpi">Department Objective / KPI</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddldepartmentkpi"></select></div>
                        </div>
                        <!--Activity Business Process-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtactivitybp">Activity / Business Process</label></div>
                            <div class="col-sm-8"><textarea class="form-control" disabled="disabled" rows="8" id="txtactivitybp"></textarea></div>
                        </div>
                    </div>
                    <button class="btn btn-primary next" type="submit"><span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;Next</button>
                </div>
                <!--2. Risk Description-->
                <div class="tab-pane fade" id="step2">

                    <div class="well">
                        <!--Loss-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtriskdesc_loss">Loss</label></div>
                            <div class="col-sm-8"><textarea class="form-control" disabled="disabled" rows="8" id="txtriskdesc_loss"></textarea></div>
                        </div>
                        <!--Caused-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtriskdesc_caused">Caused</label></div>
                            <div class="col-sm-8"><textarea class="form-control" disabled="disabled" rows="8" id="txtriskdesc_caused"></textarea></div>
                        </div>
                      <!--Risk Impact Desc-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtriskdesc_riskimpactdesc">Risk Impact Description</label></div>
                            <div class="col-sm-8"><textarea class="form-control" disabled="disabled" rows="8" id="txtriskdesc_riskimpactdesc"></textarea></div>
                        </div>
                        <!--Risk Level (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlriskdesc_risklevel">Risk Level</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlriskdesc_risklevel"></select></div>
                        </div>

                    </div>

                    <button class="btn btn-primary back" type="button"><span class="glyphicon glyphicon-circle-arrow-left"></span>&nbsp;Previous</button>
                    <button class="btn btn-primary next" type="submit"><span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;Next</button>
                </div>
                <!--3. Inherent Risk-->
                <div class="tab-pane fade" id="step3">

                    <div class="well">
                        <!--Notes-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtihrrisk_notes">Notes</label></div>
                            <div class="col-sm-8"><textarea class="form-control" disabled="disabled" rows="8" id="txtihrrisk_notes"></textarea></div>
                        </div>
                        <hr />
                        <!--Financial Impact  (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_finimpact">Financial Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlihrrisk_finimpact"></select></div>
                        </div>
                        <!--Financial Impact Amount -->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtihrrisk_finimpactamount">Amount</label></div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <span class="input-group-addon">IDR</span>
                                    <input type="text" class="form-control text-right" disabled="disabled" value="0" id="txtihrrisk_finimpactamount">
                                </div>
                            </div>
                        </div>

                        <!--Operational Impact (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_oprimpact">Operational Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlihrrisk_oprimpact"></select></div>
                        </div>
                        <!--Operational Impact Loss-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtihrrisk_oprimpactloss">Loss</label></div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <input type="text" class="form-control text-right" disabled="disabled" value="0" id="txtihrrisk_oprimpactloss">
                                </div>
                            </div>
                        </div>
                        <!--Startegic Impact (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_qualitativeimpact">Startegic Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlihrrisk_qualitativeimpact"></select></div>
                        </div>
                            <hr />
                        <!--Impact (disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_impact">Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" disabled="disabled" id="ddlihrrisk_impact"></select></div>
                        </div>
                        <!--Likelihood (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_likelihood">Likelihood</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlihrrisk_likelihood"></select></div>
                        </div>
                        <!--Overall Inherent Risk (disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_overallinherrisk">Overall Inherent Risk</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlihrrisk_overallinherrisk"></select></div>
                        </div>
                        <!--LEDB-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_ledbid">Loss Event DB</label></div>
                            <div class="col-sm-6"><select class="form-control" disabled="disabled" id="ddlihrrisk_ledbid"></select></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtihrrisk_ledb">Loss Event Description</label></div>
                            <div class="col-sm-8"><textarea class="form-control" disabled="disabled" rows="5" id="txtihrrisk_ledb"></textarea></div>

                        </div>

                    </div>

                    <button class="btn btn-primary back" type="button"><span class="glyphicon glyphicon-circle-arrow-left"></span>&nbsp;Previous</button>
                    <button class="btn btn-primary next" type="submit"><span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;Next</button>
                </div>
                <!--4. Current Action / Controls to Manage The Risk-->
                <div class="tab-pane fade" id="step4">

                    <div class="well">
                        <!--Preventive-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtcurraction_preventive">Preventive</label></div>
                            <div class="col-sm-8"><textarea class="form-control" disabled="disabled" rows="8" id="txtcurraction_preventive"></textarea></div>
                        </div>

                        <!--Detective-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtcurraction_detective">Detective</label></div>
                            <div class="col-sm-8"><textarea class="form-control" disabled="disabled" rows="8" id="txtcurraction_detective"></textarea></div>
                        </div>
                        <!--Corrective-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtcurraction_corrective">Corrective</label></div>
                            <div class="col-sm-8"><textarea class="form-control" disabled="disabled" rows="8" id="txtcurraction_corrective"></textarea></div>
                        </div>
                        <!--Control Description-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtcurraction_controldesc">Control Description</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" disabled="disabled" id="txtcurraction_controldesc"></textarea></div>
                        </div>
                        <!--Operation (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlcurraction_operation">Operation</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlcurraction_operation"></select></div>
                        </div>
                        <!--Appropriateness-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlcurraction_appropriateness">Appropriateness</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlcurraction_appropriateness"></select></div>
                        </div>
                        <!--Overall-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlcurraction_overall">Overall</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlcurraction_overall"></select></div>
                        </div>

                    </div>

                    <button class="btn btn-primary back" type="button"><span class="glyphicon glyphicon-circle-arrow-left"></span>&nbsp;Previous</button>
                    <button class="btn btn-primary next" type="submit"><span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;Next</button>
                </div>
                <!--5. Residual Risk-->
                <div class="tab-pane fade" id="step5">

                    <div class="well">
                        <!--Notes-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtresrisk_notes">Notes</label></div>
                            <div class="col-sm-8"><textarea class="form-control" disabled="disabled" rows="8" id="txtresrisk_notes"></textarea></div>
                        </div>
                        <hr />
                        <!--Financial Impact Amount-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtresrisk_finimpactamount">Financial Impact - Amount</label></div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <span class="input-group-addon">IDR</span>
                                    <input type="text" class="form-control text-right" disabled="disabled" value="0" id="txtresrisk_finimpactamount">
                                </div>
                            </div>
                        </div>
                        <!--Operational Impact Loss-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtresrisk_oprimpactloss">Operational Impact - Loss</label></div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <input type="text" class="form-control text-right" disabled="disabled" value="0" id="txtresrisk_oprimpactloss">
                                </div>
                            </div>
                        </div>

                        <!--Strategic Impact (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlresrisk_strategicimpact">Strategic Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlresrisk_strategicimpact"></select></div>
                        </div>
                        <hr />
                        <!--Impact (Disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlresrisk_impact">Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlresrisk_impact"></select></div>
                        </div>
                        <!--Likelihood (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlresrisk_likelihood">Likelihood</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlresrisk_likelihood"></select></div>
                        </div>
                        <!--Overall Residual (Disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlresrisk_overallresidual">Overall Residual</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlresrisk_overallresidual"></select></div>
                        </div>

                    </div>

                    <button class="btn btn-primary back" type="button"><span class="glyphicon glyphicon-circle-arrow-left"></span>&nbsp;Previous</button>
                    <button class="btn btn-primary next" type="submit"><span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;Next</button>
                </div>
                <!--6. Expected Risk-->
                <div class="tab-pane fade" id="step6">

                    <div class="well">
                        <!--Treatment Plan-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtexprisk_treatplan">Treatment Plan</label></div>
                            <div class="col-sm-8"><textarea class="form-control" disabled="disabled" rows="8" id="txtexprisk_treatplan"></textarea></div>
                        </div>
                        <!--Impact (disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlexprisk_impact">Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlexprisk_impact"></select></div>
                            <div class="col-sm-2">
                                <input type="checkbox" disabled="disabled" class="form-check-input" id="cbexprisk_accept">
                                <label class="form-check-label" for="cbexprisk_accept">Accept</label>
                            </div>
                        </div>
                        <!--Likelihood (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlexprisk_likelihood">Likelihood</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlexprisk_likelihood"></select></div>
                        </div>
                        <!--Overall Expected (disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlexprisk_overallexpected">Overall Expected</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlexprisk_overallexpected"></select></div>
                        </div>

                        <!--Schedule-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtexprisk_schedule">Schedule</label></div>
                            <div class="col-sm-4"><input type="text" disabled="disabled" class="form-control" id="txtexprisk_schedule"></div>
                        </div>

                    </div>

                    <button class="btn btn-primary back" type="button"><span class="glyphicon glyphicon-circle-arrow-left"></span>&nbsp;Previous</button>
                </div>
            </div>

        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-12">
                    <button type="button" class="btn btn-primary" onclick="@("window.location.href='" + @Url.Action("RiskRegister", "RiskRegister") + "'");">
                        <span class="glyphicon glyphicon-circle-arrow-left"></span> Back
                    </button>
                </div>
            </div>
        </div>
    </div>

</div>
